#
# spec file for package ibus-skk
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-skk
Version:        1.4.2
Release:        lp150.1.6
Summary:        Japanese SKK input method for ibus
License:        GPL-2.0+
Group:          System/I18n/Japanese
Url:            http://github.com/ueno/ibus-skk
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gnome-common
BuildRequires:  gtk3-devel
BuildRequires:  ibus-devel >= 1.3.99
BuildRequires:  intltool
BuildRequires:  libskk-devel
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
%if 0%{?suse_version} >= 1220
BuildRequires:  pkgconfig(vapigen) >= 0.16
%else
BuildRequires:  libvala-0_14-devel
%endif
Requires:       ibus

%description
A Japanese Simple Kana Kanji Input Method Engine for ibus.


%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%suse_update_desktop_file ibus-setup-skk Utility DesktopUtility System
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_datadir}/ibus-skk
%{_datadir}/applications/ibus-setup-skk.desktop
%{_libexecdir}/ibus-*-skk
%{_datadir}/ibus/component/skk.xml

%changelog
* Wed Oct 15 2014 hillwood@linuxfans.org
- Update to 1.4.2
  * Migrate to libgee 0.8 from 0.6.
  * Optimize property registration upon focus change.
  * PageUp/PageDown/Up/Down keys on candidate window now work.
  * Install ibus-setup-skk.desktop.
* Sun Sep 23 2012 hillwood@linuxfans.org
- Initial package.
